image:
  name: clevercloud/clever-tools:latest
  entrypoint: ["/bin/sh", "-c"]

stages:
  - 🚀deploy

variables:
  CLEVER_APPLICATION_NAME: "malo-reactspa-polycloud"
  CLEVER_APPLICATION_DOMAIN: "malo-reactspa-polycloud"
  CLEVER_KIND_APPLICATION: "docker"

deploy:app:
  stage: 🚀deploy
  only:
    - main
  script:
    - CREATE_CC_APP=false
    - clever link -o $ORGANIZATION_ID $CLEVER_APPLICATION_NAME || CREATE_CC_APP=true
    - if $CREATE_CC_APP; then clever create --type $CLEVER_KIND_APPLICATION -o $ORGANIZATION_ID $CLEVER_APPLICATION_NAME; sleep 10; fi
    - clever env set CC_DOCKER_EXPOSED_HTTP_PORT 80
    - clever domain add $CLEVER_APPLICATION_DOMAIN.cleverapps.io || true
    - clever deploy -f
  environment:
    name: production/$CLEVER_APPLICATION_NAME
    url: https://$CLEVER_APPLICATION_DOMAIN.cleverapps.io
